GET /sync/collection/{type}

trakt.tv

Summary: Get collection
Operation ID: Get collection
Auth: unknown
Description

#### 🔒 OAuth Required ✨ Extended Info Get all collected items in a user's collection. A collected item indicates availability to watch digitally or on physical media. Each `movie` object contains `collected_at` and `updated_at` timestamps. Since users can set custom dates when they collected movies, it is possible for `collected_at` to be in the past. We also include `updated_at` to help sync Trakt data with your app. Cache this timestamp locally and only re-process the movie if you see a newer timestamp. Each `show` object contains `last_collected_at` and `last_updated_at` timestamps. Since users can set custom dates when they collected episodes, it is possible for `last_collected_at` to be in the past. We also include `last_updated_at` to help sync Trakt data with your app. Cache this timestamp locally and only re-process the show if you see a newer timestamp. If you add `?extended=metadata` to the URL, it will return the additional `media_type`, `resolution`, `hdr`, `audio`, `audio_channels` and '3d' metadata. It will use `null` if the metadata isn't set for an item.

Parameters (3)

trakt-api-key (string, header, optional)

e.g. [client_id]

trakt-api-version (string, header, optional)

e.g. 2

type (string, path, required)

Constraints: {'enum': ['movies', 'shows']}

No probe data for this endpoint yet.